issues with installation of phpBB3 on webserver & XAMPP

Problems with the Windows version of XAMPP, questions, comments, and anything related.

issues with installation of phpBB3 on webserver & XAMPP

Postby unleash_it » 16. February 2020 22:55

hello



due to some issues with a installation of phpBB3 on a webserver - i got errors

cf: https://www.dreamincode.net/forums/topi ... try2412811



Installed xampp (version 1.8.2 ) on my win-7 notebook and started it

all runs well - xampp runs

put a new version 3-3-0 to the folder board:


but see what i got back:

http://localhost/xampp/board/install/app.php
http://localhost/xampp/index.php


no phpBB installation, is visible - not even this http://localhost/xampp/install/phpinfo.php


what goes wrong here!?


btw: here some insights into the issues that i have with the instalation of phpBB 3.3 on a server - that runs php7-.2.xy
i got errors in the logs
Code: Select all
Cannot open source device


That's the error message.


Code: Select all
session_start()


And that's the function which triggers it.

In your new site, this is the error message:

Code: Select all
Cannot open source device


And this is the function that triggers it:
Code: Select all
random_int(0, 35)


sic: PHP cannot generate random data. It generates a random session ID when starting a session, which is why the error happens with session_start.

i have to clear up two things

a. what goes wrong on the webserver!?
b. what goes wrong on the xampp!?

[EDIT by Altrea: moved to the english section of this board]
for Wordpress-development :: super toolkits a. http://wpgear.org/ :: and b. github.com/miziomon/awesome-wordpress
:: Awesome WordPress: A curated list of amazingly awesome WordPress resources, themes, plugins and shiny things.
User avatar
unleash_it
 
Posts: 191
Joined: 10. December 2011 18:32
Operating System: linux opensuse 12.1

Re: issues with installation of phpBB3 on webserver & XAMPP

Postby gsmith » 26. February 2020 06:17

Did you think to look at phpbb's requirements?
https://www.phpbb.com/support/docs/en/3 ... uirements/

* PHP 7.1.3+ with support for the database you intend to use.

Xampp 1.8.2 has PHP 5.4 in it. Try Xampp 7.1.31-2 (last Xampp version with PHP 7.1 in it).
gsmith
 
Posts: 267
Joined: 29. November 2013 18:04
Location: San Diego
XAMPP version: 0.0.0
Operating System: Win 10/2012R VS 14,15,16


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 98 guests